=== debian/changelog ===
blackhole-exim (1.0.9-2) unstable; urgency=low

  * Substituted relays.osirusoft.com with blackholes.easynet.nl in blackhole.h

 -- Michael Hummel <mhummel@debian.org>  Thu,  2 Oct 2003 21:09:40 +0200

blackhole-exim (1.0.9-1) unstable; urgency=low

  * Latest upstream
  * Extending depends to exim4
    (closes: #213692)
    (closes: #213649)

  * Commenting out the mysql-parts of bhedit
    (closes: #213659)
  * Removing build-depends on automake as configure should understand now how not to include sqllibs 
  * Provides and conflicts with blackhole-forward
  * Changed manpages and blackhole.conf.example ([excluded_relay] -> [my_relay])
  * Standards-Version to 3.6.1

 -- Michael Hummel <mhummel@debian.org>  Thu,  2 Oct 2003 18:23:47 +0200

blackhole-exim (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- Michael Hummel <mhummel@debian.org>  Tue,  3 Dec 2002 11:24:09 +0100

blackhole-exim (0.9.162-1) unstable; urgency=low

  * New upstream release

 -- Michael Hummel <mhummel@debian.org>  Tue, 24 Sep 2002 07:19:50 +0200

blackhole-exim (0.9.161-1) unstable; urgency=low

  * New upstream release
  * Added /etc/blackhole.conf
  * Disabled bogofilter support 
  * Some changes in the documentation
  * Built with Standards-Version: 3.5.7

 -- Michael Hummel <mhummel@debian.org>  Mon, 23 Sep 2002 13:09:31 +0200

blackhole-exim (0.9.160-1) unstable; urgency=low

  * New upstream release (closes: #160132)

 -- Michael Hummel <mhummel@debian.org>  Sat, 14 Sep 2002 20:48:28 +0200

blackhole-exim (0.9.159-1) unstable; urgency=low

  
  * New upstream release
  * New description
    (closes: #160158 , #160242)
  
  * Added experimental (!) support for bogofilter as an external check
    program 

 -- Michael Hummel <mhummel@debian.org>  Mon,  9 Sep 2002 20:53:05 +0200

blackhole-exim (0.9.158-1) unstable; urgency=low

  * New upstream release
  * Build-Depends now on automake1.6
    (closes: #160036)

 -- Michael Hummel <mhummel@debian.org>  Sun,  8 Sep 2002 17:43:59 +0200

blackhole-exim (0.9.156-1) unstable; urgency=low

  * New upstream release
  * Fixed some remnants from the qmail version in README.Debian

 -- Michael Hummel <mhummel@debian.org>  Thu,  5 Sep 2002 16:17:55 +0200

blackhole-exim (0.9.155-3) unstable; urgency=low

  * Fixed mysql configure overwriting

 -- Michael Hummel <mhummel@debian.org>  Sun,  1 Sep 2002 22:29:58 +0200
