=== debian/control ===
Source: blackhole-exim
Section: mail
Priority: optional
Maintainer: Michael Hummel <mhummel@debian.org>
Build-Depends: debhelper (>> 3.0.0), libpcre3-dev
Standards-Version: 3.6.1

Package: blackhole-exim
Architecture: any
Depends: ${shlibs:Depends}, exim|exim4|postfix
Recommends: razor
Suggests: clamav
Provides: blackhole-forward
Conflicts: blackhole-qmail, blackhole-forward
Description: Spam filter - exim version
 Blackhole is a spam filter written in C. This version is built for
 the exim MTA.  Blackhole offers a wide range of filtering and
 blocking options; for every check individual actions can be chosen
 (deleting/Subject tags/ bouncing/bounce message sent, and executing a
 program on the message.)
 Razor and external check programs are supported. There is also
 built-in support for the clamav virus checker.
